# -*- coding: utf-8 -*-

'''
このファイルはpyPluggerのプラグインモジュールを作成する際の
テンプレートとして使っていただければと思います。
'''

def get_author():
    '''
    プラグイン製作者名を返す
    pyPluggerのプラグインモジュールとしては必須ではないので省略可。
    '''
    return u'jkani4'

def get_name():
    '''
    プラグイン名称を取得
    pyPluggerのプラグインモジュールとしては必須の関数。
    '''
    return u'Plugin Sample 2'

def get_description():
    '''
    プラグインについての説明文を取得
    pyPluggerのプラグインモジュールとしては必須ではないので省略可。
    '''
    return u'サンプルプラグイン　その２'
    
def get_version():
    '''
    プラグインバージョン（文字列）の取得
    pyPluggerのプラグインモジュールとしては必須の関数。
    '''
    return u'0.0.1'

def get_widgets():
    '''
    プラグインがアクティブになった際に呼び出される関数。
    プラグインのGUIを生成して返す。
    作成するGUIはPyGTKのウィジェットであること。

    pyPluggerのプラグインモジュールとしては必須の関数。
    '''
    return None

def get_settings():
    '''
    プラグインの設定を保存する際に呼び出される関数。
    プラグインのパラメータを辞書の形で返す。
    リターンするデータはpickleがサポートしているデータで
    ある必要がある。

    pyPluggerのプラグインモジュールとしては必須ではないので省略可。
    '''
    return {}

def set_settings(settings):
    '''
    プラグインの設定を復元する際に呼び出される関数。
    渡された辞書settingのデータをもとに、設定を復元する処理
    を記述する。
    pyPluggerのプラグインモジュールとしては必須ではないので省略可。

    setting:
        関数get_settingsで返したデータと同じものが渡される
    '''
    print 'set_settings', settings
